# Class TemplateCacheProvider

Service responsible for providing a cache for templates.

TemplateCacheProvider

#### Description

Provides an instance of a template cache that can be used to store and retrieve template content.

- Defined in src/core/cache/cache-factory.js:13

##### Index

### Constructors

constructor

### Methods

$get

## Constructors

### constructor

- new TemplateCacheProvider(): TemplateCacheProvider

  #### Returns TemplateCacheProvider

## Methods

### $get

- $get(): TemplateCache

  #### Returns TemplateCache

  A new instance of the template cache (Map object).

  #### Description

  Returns a new instance of a `TemplateCache`, which is a Map used to store templates.

  - Defined in src/core/cache/cache-factory.js:18